package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.SysPlatform;

import java.util.List;

/**
 * 平台信息Mapper接口
 * 
 * @author usky
 * @date 2022-04-29
 */
public interface SysPlatformMapper 
{
    /**
     * 查询平台信息
     * 
     * @param id 平台信息主键
     * @return 平台信息
     */
    public SysPlatform selectSysPlatformById(Long id);

    /**
     * 查询平台信息列表
     * 
     * @param sysPlatform 平台信息
     * @return 平台信息集合
     */
    public List<SysPlatform> selectSysPlatformList(SysPlatform sysPlatform);

    /**
     * 新增平台信息
     * 
     * @param sysPlatform 平台信息
     * @return 结果
     */
    public int insertSysPlatform(SysPlatform sysPlatform);

    /**
     * 修改平台信息
     * 
     * @param sysPlatform 平台信息
     * @return 结果
     */
    public int updateSysPlatform(SysPlatform sysPlatform);

    /**
     * 删除平台信息
     * 
     * @param id 平台信息主键
     * @return 结果
     */
    public int deleteSysPlatformById(Long id);

    /**
     * 批量删除平台信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysPlatformByIds(Long[] ids);
}
