package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SysTenantMenu;

/**
 * 租户和菜单关联Mapper接口
 * 
 * @author usky
 * @date 2022-04-29
 */
public interface SysTenantMenuMapper 
{
    /**
     * 查询租户和菜单关联
     * 
     * @param tenantId 租户和菜单关联主键
     * @return 租户和菜单关联
     */
    public SysTenantMenu selectSysTenantMenuByTenantId(Long tenantId);

    /**
     * 查询租户和菜单关联列表
     * 
     * @param sysTenantMenu 租户和菜单关联
     * @return 租户和菜单关联集合
     */
    public List<SysTenantMenu> selectSysTenantMenuList(SysTenantMenu sysTenantMenu);

    /**
     * 新增租户和菜单关联
     * 
     * @param sysTenantMenu 租户和菜单关联
     * @return 结果
     */
    public int insertSysTenantMenu(SysTenantMenu sysTenantMenu);

    /**
     * 修改租户和菜单关联
     * 
     * @param sysTenantMenu 租户和菜单关联
     * @return 结果
     */
    public int updateSysTenantMenu(SysTenantMenu sysTenantMenu);

    /**
     * 删除租户和菜单关联
     * 
     * @param tenantId 租户和菜单关联主键
     * @return 结果
     */
    public int deleteSysTenantMenuByTenantId(Long tenantId);

    /**
     * 批量删除租户和菜单关联
     * 
     * @param tenantIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysTenantMenuByTenantIds(Long[] tenantIds);
}
