package com.ruoyi.system.service.impl;

import java.util.List;

import com.ruoyi.system.domain.SysPlatformMenu;
import com.ruoyi.system.mapper.SysPlatformMenuMapper;
import com.ruoyi.system.service.ISysPlatformMenuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 平台和菜单关联Service业务层处理
 * 
 * @author usky
 * @date 2022-04-29
 */
@Service
public class SysPlatformMenuServiceImpl implements ISysPlatformMenuService
{
    @Autowired
    private SysPlatformMenuMapper sysPlatformMenuMapper;

    /**
     * 查询平台和菜单关联
     * 
     * @param platformId 平台和菜单关联主键
     * @return 平台和菜单关联
     */
    @Override
    public SysPlatformMenu selectSysPlatformMenuByPlatformId(Long platformId)
    {
        return sysPlatformMenuMapper.selectSysPlatformMenuByPlatformId(platformId);
    }

    /**
     * 查询平台和菜单关联列表
     * 
     * @param sysPlatformMenu 平台和菜单关联
     * @return 平台和菜单关联
     */
    @Override
    public List<SysPlatformMenu> selectSysPlatformMenuList(SysPlatformMenu sysPlatformMenu)
    {
        return sysPlatformMenuMapper.selectSysPlatformMenuList(sysPlatformMenu);
    }

    /**
     * 新增平台和菜单关联
     * 
     * @param sysPlatformMenu 平台和菜单关联
     * @return 结果
     */
    @Override
    public int insertSysPlatformMenu(SysPlatformMenu sysPlatformMenu)
    {
        return sysPlatformMenuMapper.insertSysPlatformMenu(sysPlatformMenu);
    }

    /**
     * 修改平台和菜单关联
     * 
     * @param sysPlatformMenu 平台和菜单关联
     * @return 结果
     */
    @Override
    public int updateSysPlatformMenu(SysPlatformMenu sysPlatformMenu)
    {
        return sysPlatformMenuMapper.updateSysPlatformMenu(sysPlatformMenu);
    }

    /**
     * 批量删除平台和菜单关联
     * 
     * @param platformIds 需要删除的平台和菜单关联主键
     * @return 结果
     */
    @Override
    public int deleteSysPlatformMenuByPlatformIds(Long[] platformIds)
    {
        return sysPlatformMenuMapper.deleteSysPlatformMenuByPlatformIds(platformIds);
    }

    /**
     * 删除平台和菜单关联信息
     * 
     * @param platformId 平台和菜单关联主键
     * @return 结果
     */
    @Override
    public int deleteSysPlatformMenuByPlatformId(Long platformId)
    {
        return sysPlatformMenuMapper.deleteSysPlatformMenuByPlatformId(platformId);
    }
}
