package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SysPlatformMapper;
import com.ruoyi.system.domain.SysPlatform;
import com.ruoyi.system.service.ISysPlatformService;

/**
 * 平台信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-04-29
 */
@Service
public class SysPlatformServiceImpl implements ISysPlatformService 
{
    @Autowired
    private SysPlatformMapper sysPlatformMapper;

    /**
     * 查询平台信息
     * 
     * @param id 平台信息主键
     * @return 平台信息
     */
    @Override
    public SysPlatform selectSysPlatformById(Long id)
    {
        return sysPlatformMapper.selectSysPlatformById(id);
    }

    /**
     * 查询平台信息列表
     * 
     * @param sysPlatform 平台信息
     * @return 平台信息
     */
    @Override
    public List<SysPlatform> selectSysPlatformList(SysPlatform sysPlatform)
    {
        return sysPlatformMapper.selectSysPlatformList(sysPlatform);
    }

    /**
     * 新增平台信息
     * 
     * @param sysPlatform 平台信息
     * @return 结果
     */
    @Override
    public int insertSysPlatform(SysPlatform sysPlatform)
    {
        sysPlatform.setCreateTime(DateUtils.getNowDate());
        return sysPlatformMapper.insertSysPlatform(sysPlatform);
    }

    /**
     * 修改平台信息
     * 
     * @param sysPlatform 平台信息
     * @return 结果
     */
    @Override
    public int updateSysPlatform(SysPlatform sysPlatform)
    {
        sysPlatform.setUpdateTime(DateUtils.getNowDate());
        return sysPlatformMapper.updateSysPlatform(sysPlatform);
    }

    /**
     * 批量删除平台信息
     * 
     * @param ids 需要删除的平台信息主键
     * @return 结果
     */
    @Override
    public int deleteSysPlatformByIds(Long[] ids)
    {
        return sysPlatformMapper.deleteSysPlatformByIds(ids);
    }

    /**
     * 删除平台信息信息
     * 
     * @param id 平台信息主键
     * @return 结果
     */
    @Override
    public int deleteSysPlatformById(Long id)
    {
        return sysPlatformMapper.deleteSysPlatformById(id);
    }
}
